<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型-align-items属性</title>
    <style>
        .flex-start-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-items:flex-start;
        }
        .flex-end-wrap{
            display: flex;
            width: 200px;
            height: 100px;
           align-items: flex-end;
        }
        .stretch-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-items: stretch;
        }
        .center-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-items: center;
        }
        .baseling-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-items: baseline;
        }
        .flex-item{
            width: 30px;
            margin-left: 2px;
            background: red;
        }
    </style>
</head>
<body>
    <div class="flex-start-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="flex-end-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="stretch-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="center-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="baseling-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
</body>
</html>